Subject: bug#26459: 26.0.50; loaddefs.el is regenerated after each "git pull"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2017 10:30:32 +0300

> From: Glenn Morris <[email-masked]>
> Date: Fri, 14 Apr 2017 21:25:36 -0400
> Cc: [email-masked]
> 
> I find the following patch causes my -j8 builds to often hang forever
> (prior to 28718c4), because two Emacs processes try to modify eg
> uni-name at the same time. I don't know why Make apparently spawns two
> jobs at the same time to do the same thing. Possibly because
> admin/unidata/Makefile doesn't explicitly list the output uni*.el files,
> and calls make in a loop. Maybe we should improve that.

Did you try making this new 'unidata' rule be more similar to the
other 2 rules, in src/Makefile.in, which do the same?  IOW, instead of
a phony "unidata" target, use one of the targets that those other
rules use, which are real files.  Then I hope Make will pay attention
that one such rule is already running, and won't launch another one to
do the same.